########################################################################################################################
#
# Module: recherche automatique des ports COM séries actifs
#
# fonctions :
# Affich_PortCom () : écrit et retourne la liste des ports trouvés
#
#
########################################################################################################################


import serial.tools.list_ports

# Variable mémoire du port Com accessible de partout
global com_name
com_name = "COM32"  # défaut


def Affich_PortCom():
    """Cette fonction renvoie les liste des ports séries actifs"""

    print("Liste des ports séries : ")

    ports = serial.tools.list_ports.comports()
    listc = []

    if (len(ports) != 0):  # on a trouvé au moins un port actif
        ligne = 1
        for port in ports:  # affichage du nom de chaque port
            print(str(ligne) + ' : ' + port.device + ' manufacturer :  ', port.manufacturer)
            ligne = ligne + 1
            if port.manufacturer == 'FTDI' or port.manufacturer == 'Digilent Inc.':
                listc.append(port.device)
                break

        # portChoisi = input('Ecrivez le numero du port desire:')
    else:  # on n'a pas trouvé de port actif
        print("Aucun port actif n'a été trouvé !")
    if len(listc) == 0: print("Aucun port actif n'a été trouvé !")
    return listc
